Skip to main content
DELETE
/
api
/
v2
/
workspace
/
{projectId}
/
memberships
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v2/workspace/{projectId}/memberships \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emails": [],
  "usernames": []
}
'
{
  "memberships": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project to remove the member from.

Body

application/json
emails
string<email>[]

A list of organization member emails to remove from the project.

usernames
string[]

A list of usernames to remove from the project.

Response

Default Response

memberships
object[]
required